> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/api/it/api-pubblica-di-exoclick/api-manual-errors.md).

# Errori

Tutti gli errori restituiranno il codice di risposta HTTP più specifico e appropriato dalla seguente tabella:

## Codici di ritorno

| Codice | Errore                               | Descrizione                                                                                                    |
| ------ | ------------------------------------ | -------------------------------------------------------------------------------------------------------------- |
| 400    | Richiesta non valida                 | È stata ricevuta dal client una richiesta malformata. Questa è la risposta più generica fornita dall'API       |
| 401    | Non autorizzato                      | Non sei autorizzato e non puoi accedere alla risorsa richiesta                                                 |
| 403    | Vietato                              | Non hai il permesso di accedere alla risorsa richiesta                                                         |
| 404    | Non trovato                          | La risorsa richiesta non può essere trovata. Potrebbe diventare disponibile più tardi                          |
| 405    | Metodo non consentito                | Per la risorsa richiesta è stato usato un metodo HTTP non supportato                                           |
| 406    | Non accettabile                      | Il tipo Accept o Accept-Encoding richiesto dal client non è disponibile                                        |
| 409    | Conflitto                            | La richiesta non può essere completata perché c'è un conflitto con la risorsa esistente                        |
| 410    | Non più disponibile                  | La risorsa richiesta non è più disponibile e non lo sarà mai in futuro                                         |
| 411    | Lunghezza richiesta                  | La risorsa richiesta si aspetta che il client fornisca un Content-Length                                       |
| 413    | Entità della richiesta troppo grande | Il corpo della richiesta fornito dal client era troppo grande; la risorsa rifiuta di elaborarlo                |
| 415    | Tipo di media non supportato         | Il client ha fornito un Content-Type errato (o nessuno)                                                        |
| 422    | Entità non elaborabile               | La richiesta non è malformata e il tipo di media è accettabile, ma la risorsa non può elaborare la richiesta   |
| 429    | Troppe richieste                     | È stato raggiunto il limite di richieste. Consulta la sezione Limitazione del tasso per ulteriori informazioni |
| 500    | Errore interno del server            | Il server non ha potuto elaborare la tua richiesta a causa di un errore interno imprevisto                     |
| 501    | Non implementato                     | La risorsa richiesta non è stata implementata                                                                  |
| 503    | Servizio non disponibile             | Il servizio richiesto non è temporaneamente disponibile                                                        |

## Formato di risposta standard

Tutti gli errori avranno un corpo di risposta standard con due campi, `code` e `message`. Possono essere usati altri campi, ma sono facoltativi.

## Esempi

Questa è la forma più semplice del corpo di ritorno di un errore; i client possono fare affidamento sul fatto che questi campi siano presenti in ogni errore.

### Risposte di errore - Esempio 1 (Base)

```json
{
  "code": 429,
  "message": "Hai superato il numero di richieste consentite. Riprova più tardi"
}
```

L'esempio seguente ha, oltre ai campi standard, per errori associati a questa richiesta specifica.

### Risposte di errore - Esempio 2 (Più complesso)

```json
{
  "code": 422,
  "message": "Entità non elaborabile",
  "cause": "La convalida non è riuscita",
  "errors": [
    {
      "resource": "Issue",
      "field": "title",
      "code": "missing_field"
    },
    ...
  ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.exoclick.com/api/it/api-pubblica-di-exoclick/api-manual-errors.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
